gRPC C#
gRPC C#
Namespaces
Grpc.Auth
AuthInterceptors Class
AuthInterceptors Methods
FromAccessToken Method
FromCredential Method

AuthInterceptors FromCredential Method

Creates interceptor that will obtain access token from any credential type that implements ITokenAccess. (e.g. GoogleCredential).

Namespace: Grpc.Auth
Assembly: Grpc.Auth (in Grpc.Auth.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static HeaderInterceptor FromCredential(
    	ITokenAccess credential
    )

    Public Shared Function FromCredential (
    	credential As ITokenAccess
    ) As HeaderInterceptor

    public:
    static HeaderInterceptor^ FromCredential(
    	ITokenAccess^ credential
    )

    static member FromCredential :
            credential : ITokenAccess -> HeaderInterceptor

#### Parameters

credential
  Type: ITokenAccess
  The credential to use to obtain access tokens.

#### Return Value

Type: HeaderInterceptor
The header interceptor.
See Also

#### Reference

AuthInterceptors Class
Grpc.Auth Namespace